Class | Fog::Compute::Bluebox::Server
In: | lib/fog/bluebox/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

destroy flavor image location new private_ip_address public_ip_address ready? reboot save setup username

### Attributes

hostname | [RW] |
lb_applications | [RW] |
lb_backends | [RW] |
lb_services | [RW] |
password | [RW] |

### Public Class methods

new(attributes={})

### Public Instance methods

destroy()
flavor()
image()
location()
private_ip_address()
public_ip_address()
ready?()
reboot(type = 'SOFT')
save()
setup(credentials = {})
username()

[Validate]